## ------------------------------- définitions de couleurs ---------------------------------------

## couleurs au format rouge, vert, bleu, (chaque valeur un entier de 0 à 255).
define::BLACK:: fill-color:0,0,0
define::BLACK-LINE:: line-color:0,0,0  + line-scale:2
define::BLACK-LINE-THIN:: line-color:0,0,0  + line-scale:1
define::BLUE:: fill-color:0,130,255
define::VIOLET:: fill-color:#683BBE
define::LIGHTBLUE:: fill-color:#71B8FF
define::ORANGE:: fill-color:#FFCC00
define::RED:: fill-color:255,112,64

## couleurs au format RRVVBB hexadecimal, (chaque valeur un entier de 0 à 255).
define::WHITE:: fill-color:FFFFFF
define::CYAN:: fill-color:00FFFF
define::GOLD:: fill-color:CCAC00
define::GOLD-line:: line-color:CCAC00

## couleurs au formatrouge, vert, bleu, (chaque valeur un flottant de 0.0 à 1.0).
define::GRAY1:: fill-color:0.2,0.2,0.2
define::GRAY2:: fill-color:0.5,0.5,0.5
define::GRAY3:: fill-color:0.8,0.8,0.8

## pour les couleurs, si aucune valeur ne dépasse 1.0, alors les valeurs sont prises en flottant

## -------------------------------- définitions de tailles ----------------------------------------
define::small:: scale:0.5

define::half-line:: line-size:0.5

define::fine-line:: line-size:0.2

## n'affiche aucun contour
define::no-line:: line-size:0.00

## -------------------------------- définitions de formes ----------------------------------------
## tous les polygones définissant moins de 3 points sont des cercles
define::CIRCLE:: sections:1

## un simple triangle
define::TRIANGLE:: sections:3

## un carré aligné (la rotation de 45degrés transforme le "losange" en "carré" )
define::SQUARE:: sections:4 + rotation:45

## un losange, défini comme la répétition de 2(1.0,0.8) soit des points à distances 1.0,0.8,1.0,0.8
define::DIAMOND:: sections:2 + pattern:1.0,0.8

## une gemme, définie comme la répétition de 2(1.0,0.7,0.7) soit des points à distances 1.0,0.7,0.7,1.0,0.7,0.7
## (ou un rubis de zelda)
define::rupee:: sections:2 + pattern:1.0,0.7,0.7

##une forme ressemblant à un cube en perspective. reprend "triangle" pour les sections, et ajoute un pattern et une rotation
define::cube:: triangle + pattern:0.8,1.0 + line-size:0.5 + rotation:-100

##une forme ressemblant à un bouclier. permet de démontrer la fonction clear:
define::shield:: cube + clear:rotation

## pattern utilisé par les étoiles génériques
define::star:: pattern:1.0,0.4

## étoile à cinq branches
define::five-star:: sections:5 + star

## un asterisque
define::asterisk:: pattern:0.05,1.0 + small + sections:5 + rotation:18

## Demi-cercle supérieur
define::half-circle:: sections:1 + pattern:1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0

## -------------------------------------- sélécteurs ----------------------------------------------

define::default:: circle + black-line + size:1.5

## stations n'ayant pas d' "uhd"
scan:: half-circle +rotation:90 + BLUE

## stations n'ayant pas de "scan"
uhd:: half-circle + rotation:270 + VIOLET

## omettre un sélécteur revient à lui donner "default"
scan+uhd:: circle + BLUE

## selecteur selon metadonnée
## has-tag:TAGNAME:: setting
## name-is:LOCATORNAME:: setting
## name-begins:LOCATORNAME:: setting
## tag-is:PRODUCERNAME:URBICA:: triangle
tag-is:COMMENTS:PB-POSITION:: clear:pattern + clear:rotation + triangle + rotation:180


##stations représentant une panoramique importée par l'utilisateur
userdata:: cube

## quand une station est "point-de-vue", elle est représentée sous forme d'étoile à cinq branches
selected:: fill-color:view

## quand une station est visible depuis un point de vue, elle est représentée sous forme de cube de la couleur du point-de vue
## visible:: half-line + alpha:0.9 + fill-color:view
## visible:: alpha:0.9 + line-color:view + line-scale:2
visible:: alpha:0.9 + line-color:view + line-scale:2

##non-visible:: asterisk + alpha:0.5


## exemple de sélécteur de station. remplacer stationX par une station existante, et retirer les ##
##stationX:: clear:all + cube + black
